
U++ - Bug #2048

Misplaced cursor in assist (after ")")

07/06/2020 06:29 PM - Miroslav Fidler

Status: Approved Start date: 07/06/2020

Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 0%

Category: IDE Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

struct MyApp : TopWindow {

    VPoly poly;

void Paint(Draw& w) {

        Size sz = GetSize();

        if(sz.cx && poly.GetCount() == 0) {

            poly.poly.Add(Pointf(200, 200));

            poly.poly.Add(Pointf(200, 800));

            poly.poly.Add(Pointf(800, 800));

            poly.poly.Add(Pointf(800, 200));

        }

        Vector&lt;Point&gt; pd;

        for(Pointf p : poly)

            pd.Add(p);

        w.DrawPolygon(

    }

};

History

#1 - 07/06/2020 06:39 PM - Miroslav Fidler

Also, TopWindow/ Ctrl::SetRect issue seems to be back.

#2 - 07/07/2020 03:37 PM - Miroslav Fidler

- Status changed from New to Approved
